#ifndef WPLANLIST_H
#define WPLANLIST_H

#include <QListWidget>
#include <QListWidgetItem>

class wPlanList : public QListWidget
{
    Q_OBJECT
public:
    explicit wPlanList(QWidget *parent = nullptr);
    QJsonArray plansJson();

protected:
    void adjustItemNum();

signals:

public slots:
    void onAddPlan();
    void onRestorePlan(const QJsonArray &jRoot);
    void onDeletePlan(QListWidgetItem *item);
};

#endif // WPLANLIST_H
